module DNGG
  module Stash
    def try_stash
      status = `git status --ignore-submodules | grep 'nothing to commit'`
      need_stash = false
      if status.strip == ''
        need_stash = true
        `git stash`
      end
      need_stash
    end

    def stash_pop(arry_conflict, module_name)
      stash_pop = `git stash pop | grep 'CONFLICT'`
      if stash_pop.strip != ''
        arry_conflict.push(module_name)
      end
    end
  end
end